# QAbstractSpinBox Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QAbstractSpinBox(QWidget parent)

### Constructor Properties

- prototype: The QAbstractSpinBox prototype object
- StepNone = 0x00
- StepUpEnabled = 0x01
- StepDownEnabled = 0x02
- StepEnabledFlag( value )
- StepEnabled( value1, value2, ... )
- CorrectToPreviousValue
- CorrectToNearestValue
- CorrectionMode( value )
- UpDownArrows
- PlusMinus
- NoButtons
- ButtonSymbols( value )

### Prototype Object Properties

The QAbstractSpinBox prototype object inherits properties from the QWidget prototype object and also has the following properties.

- void fixup(String input)
- void interpretText()
- QSize minimumSizeHint()
- QSize sizeHint()
- void stepBy(int steps)
- State validate(String input, int pos)

### Instance Properties

QAbstractSpinBox objects inherit properties from the QAbstractSpinBox prototype object and also have the following properties.

- wrapping
- frame
- alignment
- readOnly
- buttonSymbols
- specialValueText
- text
- accelerated
- correctionMode
- acceptableInput
- keyboardTracking